import { EventEmitter } from '@angular/core';
export declare class ModalDialogComponent {
    okEnabled: boolean;
    hidden: boolean;
    headerText: string;
    okButtonText: string;
    errorMessage: string;
    height: string;
    width: string;
    maxHeight: string;
    maxWidth: string;
    close: EventEmitter<{
        isCanceled: boolean;
    }>;
    cancel: EventEmitter<boolean>;
    ok: EventEmitter<boolean>;
    open: EventEmitter<boolean>;
    private _keyListener;
    constructor();
    onCancel(e: any): void;
    ngOnChanges(change: any): void;
    private addEscapeListener();
    private removeEscapeListener();
}
